public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: skip irrelevant test phases
@ 2026-09-11 13:19 Milos Malik
0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:19 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 66fc71a9d1bc0cd880af230c1e7f54f2b56d5312
Author : Milos Malik <mmalik@redhat.com>
Date : 2022-03-18T20:33:56+01:00
Stats : +2/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/66fc71a9d1bc0cd880af230c1e7f54f2b56d5312?branch=pr775-checkpolicy-revdeps
Log:
skip irrelevant test phases
Test phase devoted to BZ#2056207 and BZ#2056999 should not be executed
on RHEL-8.x, because the SELinux denials do not appear there.
---
diff --git a/selinux-policy/systemd-sysctl-and-similar/runtest.sh b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
index 52ce90c..51ec449 100755
--- a/selinux-policy/systemd-sysctl-and-similar/runtest.sh
+++ b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
@@ -51,6 +51,7 @@ rlJournalStart
sleep 2
rlPhaseEnd
+ if ! rlIsRHEL 8 ; then
rlPhaseStartTest "bz#2056207 + bz#2056999"
rlSEMatchPathCon "/usr/lib/systemd/systemd-sysctl" "systemd_sysctl_exec_t"
rlRun "ls -Z /proc/sys/fs/suid_dumpable | grep :proc_security_t"
@@ -59,6 +60,7 @@ rlJournalStart
rlRun "ls -Z /proc/sys/kernel/kptr_restrict | grep :proc_security_t"
rlSESearchRule "allow systemd_sysctl_t proc_security_t : file { read } [ ]"
rlPhaseEnd
+ fi
rlPhaseStartTest "real scenario"
rlSEService - ${SERVICE_NAME} - ${PROCESS_CONTEXT} "start status" 1
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:19 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:19 [tests/selinux] pr775-checkpolicy-revdeps: skip irrelevant test phases Milos Malik
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox